org.apache.tiles.autotag.generate

## Class TemplateGeneratorBuilder

- java.lang.Object
- - org.apache.tiles.autotag.generate.TemplateGeneratorBuilder

-     public class TemplateGeneratorBuilder
      extends Object

  Builds a TemplateGenerator.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TemplateGeneratorBuilder` | `addClassesTemplateClassGenerator(TemplateClassGenerator generator)` Adds a new template class generator to generate classes.
    `TemplateGeneratorBuilder` | `addClassesTemplateSuiteGenerator(TemplateSuiteGenerator generator)` Adds a new template suite generator to generate classes.
    `TemplateGeneratorBuilder` | `addResourcesTemplateClassGenerator(TemplateClassGenerator generator)` Adds a new template class generator to generate resources.
    `TemplateGeneratorBuilder` | `addResourcesTemplateSuiteGenerator(TemplateSuiteGenerator generator)` Adds a new template suite generator to generate resources.
    `TemplateGenerator` | `build()` Builds and returns a new template generator.
    `static TemplateGeneratorBuilder` | `createNewInstance()` Creates a new instance of the builder.
    `TemplateGeneratorBuilder` | `setClassesOutputDirectory(File classesOutputDirectory)` Sets the classes output directory.
    `TemplateGeneratorBuilder` | `setResourcesOutputDirectory(File resourcesOutputDirectory)` Sets the resources output directory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createNewInstance

          public static TemplateGeneratorBuilder createNewInstance()

      Creates a new instance of the builder.
      Returns:
        A new instance of the builder.

    - #### setClassesOutputDirectory

          public TemplateGeneratorBuilder setClassesOutputDirectory(File classesOutputDirectory)

      Sets the classes output directory.
      Parameters:
        `classesOutputDirectory` - The classes output directory.
      Returns:
        This instance.

    - #### setResourcesOutputDirectory

          public TemplateGeneratorBuilder setResourcesOutputDirectory(File resourcesOutputDirectory)

      Sets the resources output directory.
      Parameters:
        `resourcesOutputDirectory` - The resources output directory.
      Returns:
        This instance.

    - #### addClassesTemplateSuiteGenerator

          public TemplateGeneratorBuilder addClassesTemplateSuiteGenerator(TemplateSuiteGenerator generator)

      Adds a new template suite generator to generate classes.
      Parameters:
        `generator` - The generator to add.
      Returns:
        This instance.

    - #### addClassesTemplateClassGenerator

          public TemplateGeneratorBuilder addClassesTemplateClassGenerator(TemplateClassGenerator generator)

      Adds a new template class generator to generate classes.
      Parameters:
        `generator` - The generator to add.
      Returns:
        This instance.

    - #### addResourcesTemplateSuiteGenerator

          public TemplateGeneratorBuilder addResourcesTemplateSuiteGenerator(TemplateSuiteGenerator generator)

      Adds a new template suite generator to generate resources.
      Parameters:
        `generator` - The generator to add.
      Returns:
        This instance.

    - #### addResourcesTemplateClassGenerator

          public TemplateGeneratorBuilder addResourcesTemplateClassGenerator(TemplateClassGenerator generator)

      Adds a new template class generator to generate resources.
      Parameters:
        `generator` - The generator to add.
      Returns:
        This instance.

    - #### build

          public TemplateGenerator build()

      Builds and returns a new template generator.
      Returns:
        The new template generator.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.